* switch4.asm
* Develop Software for the GP20 Pod
* Copyright 1999 Jed Margolin
* All Rights Reserved
#pagelength 65t
#pagewidth 124t
$base 10t

$INCLUDE 'podequ.h'    	; Equates for MC68HC908GP20 MCU
$INCLUDE 'pod.h'  	; Equates for GP20 Pod Jump Table

*==========================================================================

	ORG	USER_EMRAM

CBUFFER	   RMB	  64

*******************************************************
* Program area starts here
*******************************************************

        ORG    USER_EMRAM+$40 	   ;Start of Emulation RAM

maxtracks   RMB   1

* Start of User Program
*====================================================
* Use the switches to select the track number
* First initialize any control registers and variables
START:  RSP

	LDA	#$15
	STA 	maxtracks

	LDA	#$80
        JSR     CLR_DISP

	LDA	#$C0
        JSR     CLR_DISP

	JSR	INIT_SWITCHES

*	JSR	Make_TOC10

	LDA	#$01
	STA	track

mlp:	JSR	DO_SWITCHES

	BSR	SWTRANS2
	BEQ	mbr1

	LDA	track
        LDX     #$80    	; set cursor location
        JSR     DISPLAY_BINARY  ; Display Binary from ACC

*	LDA	track
*	JSR	Play_Track

mbr1:   JSR     WAIT10ms

	BRA	mlp
* ====================================================
* ===================================================
* for testing transitions
SWTRANS2:

* increment?
	BRCLR	2,sw1+1,csbr2
	BCLR	2,sw1+1

	LDA	track
	ADD	#$01
	CMP	maxtracks
	BLS	csbr1
	LDA	#$01	
csbr1:	STA	track
	RTS

* decrement?
csbr2:	BRCLR	2,sw2+1,csbr4
	BCLR	2,sw2+1

	LDA	track
	SUB	#$01
	BNE	csbr3
	LDA	maxtracks	
csbr3:	STA	track
	RTS

	LDA	#$FF
	RTS

csbr4:  CLRA
	RTS
*===========================================================================
UNUSED  RTI
* ====================================================
